### Constructor

# Gtk.LockButton.new

#### Declaration [src]

    GtkWidget*
    gtk_lock_button_new (
      GPermission* permission
    )

#### Description [src]

Creates a new lock button which reflects the `permission`.

#### Parameters

`permission` | `GPermission*`
| a `GPermission`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkLockButton`
Ownership is not transferred to the caller